@import url('https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Bakbak+One&display=swap');

:root{
    --o-1: #ff0052;
    --o-2: #bfff00;
    --o-3: #00fff7;
    --o-4: #ea00ff;
    --o-5: #ff0000;
    --accent: var(--o-2);
    --white: #fff;
    --black: #17161a;
    --transition: 0.5s ease-out;
}

html {
  scroll-behavior: smooth;
}

*{
  box-sizing: border-box;
}

body{
  box-sizing: border-box;
  font-family: 'Ubuntu', sans-serif !important;
  font-size: 18px;
  direction: ltr;
  margin: 0;
  padding: 0;
  height: 100%;
  position: relative;
  color: var(--white);
  background-color: var(--black);
}


a{
  text-decoration: none;
}

p {
  margin-bottom: 1rem;
  font-size: 1rem;
  line-height: 1.5;
}

ul, ol {
  margin-bottom: 1rem;
  padding-left: 2rem;
}

li {
  margin-bottom: 0.5rem;
}

ul ul, ol ul, ul ol, ol ol {
  margin-bottom: 0;
}

ul {
  list-style-type: disc;
}

ol {
  list-style-type: decimal;
}

img{
  width: 100%;
  display: block;
  box-sizing: border-box;
}

video{
  display: block;
  box-sizing: border-box;
}

h5{
  font-size: 1.1rem;
}

.module{
  padding: 56px 0;

  box-shadow: 0 5px 11px 0 rgba(0, 0, 0, .35);
}

.wrapper {
  max-width: 100%;
  margin-right: auto;
  margin-left: auto;
  padding-right: 14px;
  padding-left: 14px;
  box-sizing: border-box;
}

.row-2,
.ron-3,
.row-4,
.rows-5{
  display: flex;
  box-sizing: border-box;
  flex-wrap: wrap;
  flex-direction: column;
  gap: 20px;
}

.col-30,
.col-70,
.col-2,
.col-3,
.col-4,
.colu-5{
  width: 100%;
  flex-grow: 1;
  box-sizing: border-box;
}

.header{
  background: url('picgallery/back/bg-dark-069cbbbc8e24aa.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  animation: header 10s linear;
}



.logo{
  padding: 20px 0;
  display: flex;
  flex-direction: column;
  gap: 0;
  align-items: center;
  justify-content: center;

  img{
    width: 60px;
    height: 60px;
    object-fit: contain;
    animation: logoRotate 3s linear;
    filter: drop-shadow(9px 9px 10px var(--black));
  }

  h1{
    color: var(--white);
    text-transform: uppercase;
    font-size: 24px;
    font-weight: 800;
    text-align: center;
    transition: var(--transition);
    margin: 0;
    filter: drop-shadow(9px 9px 10px var(--black));

    &:hover,
    &:focus{
      color: var(--accent);
    }
  }
}

@keyframes logoRotate{
  0%{
    transform: rotateZ(-270deg);
  }
40%{
    transform: rotateZ(-360deg);
  }
  50%{
    transform: scale(0.9);
  }
  60%{
    transform: scale(1);
  }
  70%{
    transform: scale(0.9);
  }
  80%{
    transform: scale(1);
  }
  90%{
    transform: scale(0.9);
  }
  100%{
    transform: scale(1);
  }
}

.nav{
  background-color: var(--black);
  padding: 11px 0;
  box-shadow: 0 5px 11px 0 rgba(0, 0, 0, .35);
  position: relative;
  z-index: 1;
}

.nav-list{
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 20px;
}

.nav-item{
  a{
    text-align: center;
    color: var(--white);
    transition: var(--transition);
    text-transform: inherit;
    font-weight: 800;

    &:hover,
    &:focus{
      color: var(--accent);
    }
  }
}

.devops{
  .title{
    text-align: end;
    margin-left: auto;
  }
}

.develop-item{
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  transition: var(--transition);
  padding: 5px;
}

.devops-img{
  width: 193px;
  height: 193px;
  transition: var(--transition);
  overflow: hidden;
  border-radius: 0%;
  filter: drop-shadow(0 0 0.25rem var(--accent));

  img{
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.devops-name{
  transform: translateY(-170px);
  position: absolute;
  transition: var(--transition);
}

  .develop-item:hover,
  .develop-item:focus{
    .devops-img{
      transform: translateY(170px);
    }

    .devops-name{
      transform: translate(0);
    }
  }

  .title{
    color: var(--white);
    font-weight: 800;
    width: fit-content;
    text-transform: inherit;
    font-size: 32px;
    margin-bottom: 20px;
    position: relative;
    overflow: hidden;
    z-index: 1;
    padding: 0 20px;

   &::before {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 200%;
    height: 100%;
    background: linear-gradient(120deg, rgba(255, 255, 255, 0) 30%, var(--accent) 50%, rgba(255, 255, 255, 0) 70%);
    animation: shine 2s infinite;
    z-index: -1;
  }
}

@keyframes shine {
  to {
    left: 100%;
  }
}

.au{
  .title{
   margin: 0 auto;

   &::before{
    animation-duration: 2.5s;
   }
  }
}

.au-text{
  text-align: center;
  margin: 0 auto;
}

.video-list{
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 11px;
}

.video-item{
  width: calc(100% / 3);
  height: 130px;
  margin: 50px 0;
  overflow: hidden;
  filter: drop-shadow(0 0 0.25rem var(--accent));
}

.au-video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: var(--transition);

  &:hover,
  &:focus{
    transform: scale(1.1);
  }
}

.main{
  .title{
    margin-right: auto;
  }
}

.game-box{
  width: 100%;
  height: 383px;
  position: relative;
  overflow: hidden;
  display: inline-block;

  img{
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.game-title-box{
  position: absolute;
  top: 0;
  width: 100%;
  left: 0;
  background-color: rgba(15,15,15,.8);
  height: 100%;
  display: flex;
  flex-direction: column;
  gap: 11px;
  padding: 20px;
  transition: var(--transition);
}

.game-content{
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  color: var(--white);
  margin: 0;
  transition: var(--transition);
  margin-top: 30px;
}

.game-box:hover .game-title-box,
.game-box:focus .game-title-box{
  transform: translateY(0);
}

.game-box:hover .game-content,
.game-box:focus .game-content{
  transform: translateY(0);
}

.game-title{
  color: var(--white);
  font-weight: 800;
  font-size: 25px;
  position: relative;
  padding-left: 0px;
  transition: var(--transition);

  &::before{
    position: absolute;
    top: 50%;
    left: 0px;
    width: 0px;
    background-color: var(--accent);
    height: 3px;
    border-radius: 19px;
    content: '';
    transition: var(--transition);
  }
}

.game-box:hover .game-title,
.game-box:focus .game-title{
  padding-left: 30px;
}

.game-box:hover .game-title::before,
.game-box:focus .game-title::before{
  width: 20px;
}

#main1{
  display: block;
}

.game-img-box{
  width: 100%;
  height: 383px;
  display: inline-block;
  overflow: hidden;
  position: relative;
  filter: drop-shadow(0 0 0.25rem var(--accent));
  

  img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: var(--transition);

    &:hover,
    &:focus{
      transform: scale(1.1);
    }
  }

  &::before{
    position: absolute;
    content: '';
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: var(--transition);
  }
  
  &:hover::before,
  &:focus::before{
    background-color: rgba(15,15,15,.8);
  }
}

.game-title-desc{
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  color: var(--white);
  filter: drop-shadow(3px 3px 3px var(--accent));
  text-align: center;

  transition: var(--transition);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 11px;

  h3{
    font-size: 19px;
    font-weight: 800;
    text-transform: uppercase;
  }

  p{
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
  }
}

.game-img-box:hover .game-title-desc,
.game-img-box:hover .game-title-desc{
  visibility: visible;
  transform: scale(1);
  opacity: 1;
}

.stat{
  position: relative;

  &::before{
    position: absolute;
    content: '';
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0.3;
    background: url('picgallery/back/bg-dark-169cbbbc8e24d0.jpg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
  }

  .wrapper{
    position: relative;
    z-index: 1;
  }
}

.stat-item{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  p{
    font-size: 45px;
    font-weight: 800;
    margin: 0;
  }

  h3{
    margin: 0;
    font-size: 32px;
    font-weight: 800;
  }
}

.form-module{
  .title{
    margin-left: auto;
    margin-right: auto;
    text-align: center;
  }
}

.form{
  display: flex;
  max-width: 900px;
  margin: 0 auto;
  flex-direction: column;
  gap: 11px;
}

.contact-page-form-item{
  width: 100%;
}

.contact-page-form-item > input,
.contact-page-form-item > textarea,
.input-form--areagroup,
.textarea-form--areagroup{
  width: 100%;
  border: 1px solid var(--accent);
  box-sizing: border-box;
  background-color: transparent;
  padding: 11px;
  color: var(--white);
}

.privacy{
  color: var(--white);
  transition: var(--transition);

  &:hover,
  &:focus{
    color: var(--accent);
  }
}

.footer{
  background: url('img/footer-background-img.jpg');
  background-repeat: repeat;
  background-size: cover;
  background-position: center;
  padding:  26px 0;
}

.disclaimer-box{
  position: relative;
  padding: 24px;
  box-shadow: 3px 3px 19px var(--accent);
  overflow: hidden;
  z-index: 1;
  text-align: center;

  &::before {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 200%;
    height: 100%;
    background: linear-gradient(120deg, rgba(255, 255, 255, 0) 30%, var(--accent) 50%, rgba(255, 255, 255, 0) 70%);
    animation: shine 5s infinite;
    z-index: -1;
  }

  &::after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    background-color: #08031277;
    width: 100%;
    height: 100%;
    filter: blur(3px);
  }
}

.title-disclaimer{
  font-weight: 800;
  font-size: 24px;
  position: relative;
  z-index: 1;
}

.disclaimer-text{
  position: relative;
  z-index: 1;
}

.footer-nav{
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 20px;
}

.footer-menu-item{
  a{
    color: var(--white);
    transition: var(--transition);
    display: inline-block;

    &:hover,
    &:focus{
      color: var(--accent);
    }
  }
}

.footer-col{
  display: flex;
  align-items: center;
}

.copyright-box{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 11px;
  margin-top: 26px;
}

.copyright{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center
  gap: 4px;

  p{
    margin: 0;
    color: #ffffff8c;
  }
}

.disclaimer-img{
  width: 55px;
  height: 55px;

  img{
    width: 100%;
    height: 100%;
    object-fit: contain;
  }
}

.gallery{
  direction: ltr !important;
}

.modal {
  display: none;
  position: fixed;
  z-index: 100;
  padding-top: 60px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0,0,0);
  background-color: rgba(0,0,0,0.9);
}

.modal-content {
  display: block;
  width: 80%;
  max-width: 800px;
  display: block;
  width: 80%;
  max-width: 700px;
  top: 50%;
  left: 50%;
  position: fixed;
  transform: translate(-50%, -50%);
}

.close {
  position: absolute;
  top: 90px;
  right: 35px;
  color: var(--white);
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
  cursor: pointer;
}

.close:hover,
.close:focus {
  color: var(--accent);
  text-decoration: none;
  cursor: pointer;
}

.prevImg,
.nextImg {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -50px;
  color: var(--white);
  font-weight: bold;
  font-size: 19px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

.nextImg {
  right: 0;
  border-radius: 3px 0 0 3px;
}

.prevImg:hover,
.nextImg:hover {
  color: var(--accent);
}

.col-1{
  width: 100%;
}

.gallery-item{
  width: 100%;
  height: 383px;
  cursor: pointer;
  transition: var(--transition);

  img{
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  &:hover,
  &:focus{
    box-shadow: 3px 3px 19px var(--accent);
  }
}
.igra-flex{
  display: flex;
  flex-direction: column;
  gap:19px;
}
.page-img{
  width: 100%;
  height: auto;
  padding:  20px;
  filter: drop-shadow(3px 3px 19px var(--accent));

  img{
    width: 100%;
    height: 100%;
    object-fit: contain;
  }
}

.box-iframe{
  height: 100vh;
  margin-bottom: 50px;
}

.contact-page-box{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100%;
  padding: 20px;
  gap:  20px;
}

.map{
  width: 100%;
  height: 383px;
  filter: drop-shadow(3px 3px 19px var(--accent));

  iframe{
    border: none;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.contact-page-item{
  font-size: 19px;
  font-weight: 800;

  a{
    color: var(--white);
    transition: var(--transition);
    word-break: break-all;
    text-align: center;

    &:hover,
    &:focus{
      color: var(--accent);
    }
  }
}

.adres{
  text-align: center;
  max-width: 500px;
  margin: 0 auto;
}

.privacy-box{
  word-break: break-all;
  overflow: hidden;
}

.faq{
  display: none;
}

.faq-list{
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  gap: 20px;
}

.faq-item{
  display: flex;
  flex-direction: column;
  transition: var(--transition);
  gap: 20px;
  padding: 20px;
  box-shadow: 2px 2px 10px var(--accent);

  &:hover,
  &:focus{
    box-shadow: 3px 3px 19px var(--accent);
  }

  .answer{
    display: flex;
    align-items: start;
    flex-direction: row;
    gap: 10px;
    padding-left: 20px;

    .faq-icon{
      width: 21px;
      height: 21px;
      color: var(--accent);

      svg{
        width: 100%;
        height: 100%;
      }
    }
  }
}

@media (min-width: 576px) {
  .wrapper {
    max-width: 540px;
  }

  .rows-5{
    flex-direction: row;
  }

  .colu-5{
    width: calc(50% - 20px);
  }
}


@media (max-width: 767px){
  .game-img-box::before{
    background-color: rgba(15,15,15,.8);
  }
}

@media (min-width: 768px){
  .wrapper {
    max-width: 720px;
  }

  .row-2,
  .ron-3,
  .row-4{
    flex-direction: row;
  }

  .col-2,
  .col-3,
  .col-4{
    width: calc(50% - 20px);
  }
 
  .colu-5{
    width: calc(33.333% - 20px);
  }

  .game-title-desc{
    visibility: hidden;
    opacity: 0;
    transform: scale(0.3);
  }

  .page-img{
    width: 300px;
    height: 383px;
    margin: 0 auto;
    float: left;
  }

  .content-text{
    min-height: 383px;
  }

  .logo{
    img{
      width:60px;
      height: 60px;
    }

    h1{
      font-size: 31px;
    }
  }
}


@media (min-width: 992px){
  .wrapper {
    max-width: 960px;
  }

  .col-3{
    width: calc(33.333% - 20px);
  }

  .col-4{
    width: calc(25% - 20px);
  }
  .colu-5{
    width: calc(20% - 20px);
  }

  .col-70{
    width: calc(70% - 20px);
  }

  .col-30{
    width: calc(30% - 20px);
  }

  .game-title-box{
    top: 30%;
    width: 80%;
    transform: translateY(100px);
  }

  .game-content{
    transform: translateY(100px);
  }

  .stat-item{
    p{
      font-size: 72px;
    }
  }

  .page-img{
    width: 435px;
    height: 435px;
  }

  .content-text{
    min-height: 435px;
  }

  .logo{


    h1{
      font-size: 46px;
    }
  }

  
 

@keyframes header{
  from{
    background-size: 100% 100%;
  }
  to{
    background-size: 120% 120%;
  }
}

}

@media (min-width: 1200px){
  .wrapper {
    max-width: 1300px;
  }

  .page-img{
    width: 50%;
    height: 435px;
  }

  .content-text{
    min-height: 435px;
  }
}

.form-btn{
  margin: 0 auto;
}

.button-1{
  background-color: var(--accent);
  color: var(--black);
  font-weight: 800;
  font-size:  18px;
  padding: 15px 21px;
  text-align: center;
  display: inline-block;
  cursor: pointer;
  transition: var(--transition);
  border: none;
  outline: none;

  &:hover,
  &:focus{
    filter: drop-shadow(3px 3px 19px var(--accent));
  }
}


.button-2 {
  color: var(--black);
  border-radius: 5px;
  padding: 10px 24px;
  font-weight: 700;
  cursor: pointer;
  font-size:  18px;
  transition: var(--transition);
  position: relative;
  display: inline-block;
  box-shadow: inset 2px 2px 2px 0px rgba(255,255,255,.5),
    7px 7px 20px 0px rgba(0,0,0,.1),
    4px 4px 5px 0px rgba(0,0,0,.1);
  outline: none;
  background: #bfff00;
  background: linear-gradient(0deg, #bfff00 0%, #dfff81 100%);
  border: none;
}

.button-2:before {
  height: 0%;
  width: 2px;
}

.button-2:hover {
 box-shadow: 4px 4px 6px 0 rgba(255,255,255,.5),
              -4px -4px 6px 0 rgba(116, 125, 136, .5), 
    inset -4px -4px 6px 0 rgba(255,255,255,.2),
    inset 4px 4px 6px 0 rgba(0, 0, 0, .4);
}


.button-3 {
  --border-color: linear-gradient(-45deg, #f3f30f, #00fff7, #0000ff);
  --border-width: 0.125em;
  --curve-size: 0.5em;
  --blur: 30px;
  --bg: #080312;
  color: var(--white);
  cursor: pointer;
  position: relative;
  isolation: isolate;
  display: inline-grid;
  place-content: center;
  padding: 0.5em 1.5em;
  font-size:  18px;
  border: 0;
  text-transform: uppercase;
  box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.6);
  clip-path: polygon(0% var(--curve-size),
    var(--curve-size) 0, 100% 0,
    100% calc(100% - var(--curve-size)), calc(100% - var(--curve-size)) 100%,
   0 100%
  );
  transition: color 250ms;
}

.button-3::after,
.button-3::before {
  content: "";
  position: absolute;
  inset: 0;
}

.button-3::before {
  background: var(--border-color);
  background-size: 300% 300%;
  animation: move-bg7234 5s ease infinite;
  z-index: -2;
}

@keyframes move-bg7234 {
  0% {
    background-position: 31% 0%;
  }

  50% {
    background-position: 70% 100%;
  }

  100% {
    background-position: 31% 0%;
  }
}

.button-3::after {
  background: var(--bg);
  z-index: -1;
  clip-path: polygon( var(--border-width)
      calc(var(--curve-size) + var(--border-width) * 0.5),
    calc(var(--curve-size) + var(--border-width) * 0.5) var(--border-width),
 calc(100% - var(--border-width)) var(--border-width),
    calc(100% - var(--border-width))
      calc(100% - calc(var(--curve-size) + var(--border-width) * 0.5)),
      calc(100% - calc(var(--curve-size) + var(--border-width) * 0.5))
      calc(100% - var(--border-width)),
 var(--border-width) calc(100% - var(--border-width))
  );
  transition: clip-path 500ms;
}

.button-3:where(:hover, :focus)::after {
  clip-path: polygon(calc(100% - var(--border-width))
      calc(100% - calc(var(--curve-size) + var(--border-width) * 0.5)),
    calc(100% - var(--border-width)) var(--border-width), calc(100% - var(--border-width)) var(--border-width),
    calc(100% - var(--border-width))
      calc(100% - calc(var(--curve-size) + var(--border-width) * 0.5)),
      calc(100% - calc(var(--curve-size) + var(--border-width) * 0.5))
      calc(100% - var(--border-width)),
      calc(100% - calc(var(--curve-size) + var(--border-width) * 0.5))
      calc(100% - var(--border-width))
  );
  transition: 200ms;
}

.button-3:where(:hover, :focus) {
  color: #fff;
}

.button-4 {
 padding: 0.8em 1.7em;
 background-color: transparent;
 border-radius: .3em;
 position: relative;
 overflow: hidden;
 cursor: pointer;
 transition: .5s;
 font-weight: 400;
 font-size: 17px;
 border: 1px solid;
 font-family: inherit;
 text-transform: uppercase;
 color: var(--accent);
 z-index: 1;
}

.button-4::before, .button-4::after {
 content: '';
 display: block;
 width: 55px;
 height: 55px;
 transform: translate(-50%, -50%);
 position: absolute;
 border-radius: 50%;
 z-index: -1;
 background-color: var(--accent);
 transition: 1s ease;
}

.button-4::before {
 top: -1em;
 left: -1em;
}

.button-4::after {
 left: calc(100% + 1em);
 top: calc(100% + 1em);
}

.button-4:hover::before, .button-4:hover::after {
 height: 410px;
 width: 410px;
}

.button-4:hover {
 color: rgb(10, 25, 30);
}

.button-4:active {
 filter: brightness(.8);
}

.button-5 {
  background: transparent;
  position: relative;
  padding: 5px 15px;
  display: flex;
  align-items: center;
  font-size: 18px;
  font-weight: 700;
  text-decoration: none;
  cursor: pointer;
  border: 1px solid var(--accent);
  border-radius: 24px;
  outline: none;
  overflow: hidden;
  color: var(--accent);
  transition: color 0.3s 0.1s ease-out;
  text-align: center;
}

.button-5 span {
  margin: 10px;
}

.button-5::before {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  content: "";
  border-radius: 50%;
  display: block;
  width: 100%;
  height: 20em;
  left: 0;
  text-align: center;
  transition: box-shadow 0.5s ease-out;
  z-index: -1;
}

.button-5:hover {
  color: #fff;
  border: 1px solid var(--accent);
}

.button-5:hover::before {
  box-shadow: inset 0 0 0 10em var(--accent);
}
.footer-logos {
  display: flex;
  flex-wrap: wrap;
  justify-content: center; 
  align-items: center;
  gap: 20px;
  padding: 20px;
}

.footer-logos a img {
  height: 50px;
  width: 100%;
  object-fit: contain;
  display: block;
}